Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Interface Selectable

All Known Implementing Classes:
  FlowExtTextNode, FlowTextNode, TextNode

    public interface Selectable

Interface describing object that can be selected or have selections made on it.

Method Summary
`Shape` | `getHighlightShape()` Return a shape in user coords which encloses the current selection.
`Object` | `getSelection()` Get the current text selection.
`boolean` | `selectAll(double x, double y)` Selects the entire contents of the GraphicsNode at (x, y).
`boolean` | `selectAt(double x, double y)` Initializes the current selection to begin with the character at (x, y).
`boolean` | `selectTo(double x, double y)` Extends the current selection to the character at (x, y)..

Method Detail

### selectAt

    boolean selectAt(double x,
                     double y)

  Initializes the current selection to begin with the character at (x, y).

  Returns:
    true if action resulted in change of selection.

### selectTo

    boolean selectTo(double x,
                     double y)

  Extends the current selection to the character at (x, y)..

  Returns:
    true if action resulted in change of selection.

### selectAll

    boolean selectAll(double x,
                      double y)

  Selects the entire contents of the GraphicsNode at (x, y).

  Returns:
    true if action resulted in change of selection.

### getSelection

    Object getSelection()

  Get the current text selection.

  Returns:
    an object containing the selected content.

### getHighlightShape

    Shape getHighlightShape()

  Return a shape in user coords which encloses the current selection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.